Détails du paiement
curl --request GET \
--url https://api.example.com/v1/payments/{id}/detailsimport requests
url = "https://api.example.com/v1/payments/{id}/details"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/payments/{id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/payments/{id}/details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/payments/{id}/details"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/payments/{id}/details")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/payments/{id}/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyPaiements
Détails du paiement
Obtenir les détails complets d’un paiement
GET
/
v1
/
payments
/
{id}
/
details
Détails du paiement
curl --request GET \
--url https://api.example.com/v1/payments/{id}/detailsimport requests
url = "https://api.example.com/v1/payments/{id}/details"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/payments/{id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/payments/{id}/details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/payments/{id}/details"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/payments/{id}/details")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/payments/{id}/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyDétails du paiement
Récupère les informations complètes d’un paiement : montants, client, URLs et métadonnées. Utile pour la réconciliation et l’audit.Path Parameters
| Paramètre | Type | Requis | Description |
|---|---|---|---|
id | string | ✅ | ID du paiement (UUID) |
Exemple
curl https://api.sahelpay.ml/v1/payments/8d6f1c2e-.../details \
-H "Authorization: Bearer sk_live_xxx"
const payment = await sahelpay.payments.details('8d6f1c2e-...');
payment = client.payments.details('8d6f1c2e-...')
$payment = $sahelpay->payments->details('8d6f1c2e-...');
Réponse
{
"success": true,
"data": {
"id": "8d6f1c2e-...",
"status": "SUCCESS",
"payment_method": "MOBILE_MONEY",
"country": "ML",
"amount": 5000,
"amount_charged": 5000,
"currency": "XOF",
"client_reference": "order-123",
"provider": "ORANGE_MONEY",
"method_requested": "ORANGE_MONEY",
"provider_ref": "MP261003.1000.A12345",
"return_url": "https://votre-site.com/checkout/return?order=order-123",
"redirect_url": "https://...",
"expires_at": "2026-10-03T10:30:00.000Z",
"metadata": {
"customer": { "phone": "+22370123456" },
"description": "Commande #123"
},
"created_at": "2026-10-03T10:00:00.000Z",
"updated_at": "2026-10-03T10:05:00.000Z"
}
}
- Paiement introuvable :
200avec{ "success": false, "message": "PaymentIntent not found" }.